<html>
<head>
<title>Ogre::ResourceBackgroundQueue::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceBackgroundQueue::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceBackgroundQueue::Listener" -->
<p>This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.  
 <a href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ResourceBackgroundQueue_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#ac3d1dd80e752ab167868ab0a5e14aa16">operationCompleted</a> (<a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a> ticket, const <a class="el" href="structOgre_1_1BackgroundProcessResult.html">BackgroundProcessResult</a> &amp;result)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a requested operation completes, queued into main thread.  <a href="#ac3d1dd80e752ab167868ab0a5e14aa16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#a28509ef0c32ec32d3fa12a672ba90c2f">~Listener</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Need virtual destructor in case subclasses use it.  <a href="#a28509ef0c32ec32d3fa12a672ba90c2f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>For simplicity, these callbacks are not issued direct from the background loading thread, they are queued themselves to be sent from the main thread so that you don't have to be concerned about thread safety. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00092">92</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a28509ef0c32ec32d3fa12a672ba90c2f"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Listener::~Listener" ref="a28509ef0c32ec32d3fa12a672ba90c2f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#a28509ef0c32ec32d3fa12a672ba90c2f">Ogre::ResourceBackgroundQueue::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Need virtual destructor in case subclasses use it. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00103">103</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac3d1dd80e752ab167868ab0a5e14aa16"></a><!-- doxytag: member="Ogre::ResourceBackgroundQueue::Listener::operationCompleted" ref="ac3d1dd80e752ab167868ab0a5e14aa16" args="(BackgroundProcessTicket ticket, const BackgroundProcessResult &amp;result)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#ac3d1dd80e752ab167868ab0a5e14aa16">Ogre::ResourceBackgroundQueue::Listener::operationCompleted</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga1e2e9ee3e2ee22a4e792952239d38821">BackgroundProcessTicket</a>&#160;</td>
          <td class="paramname"><em>ticket</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1BackgroundProcessResult.html">BackgroundProcessResult</a> &amp;&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a requested operation completes, queued into main thread. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>For simplicity, this callback is not issued direct from the background loading thread, it is queued to be sent from the main thread so that you don't have to be concerned about thread safety. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
